#!/bin/sh
export PATH='/usr/lib/distcc/bin:/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: crypto-pubkey
version: 0.2.8
id: crypto-pubkey-0.2.8-FUbyh2tfKdkBPiNbl6rQ3C
key: crypto-pubkey-0.2.8-FUbyh2tfKdkBPiNbl6rQ3C
license: BSD-3-Clause
copyright: Vincent Hanquez <vincent@snarc.org>
maintainer: Vincent Hanquez <vincent@snarc.org>
author: Vincent Hanquez <vincent@snarc.org>
homepage: https://github.com/vincenthz/hs-crypto-pubkey
synopsis: Public Key cryptography
description:
    Public Key cryptography
    .
    Supports RSA PKCS15, RSA OAEP, RSA PSS, DSA, ElGamal signature.
    .
    Also have primitive support for Diffie Hellman, and ElGamal encryption
category: Cryptography
abi: 8595865da229f299d7e1e40c2ec7293e
exposed: True
exposed-modules:
    Crypto.PubKey.DH Crypto.PubKey.DSA Crypto.PubKey.ECC.DH
    Crypto.PubKey.ECC.ECDSA Crypto.PubKey.ECC.Generate
    Crypto.PubKey.ECC.Prim Crypto.PubKey.HashDescr
    Crypto.PubKey.MaskGenFunction Crypto.PubKey.RSA
    Crypto.PubKey.RSA.OAEP Crypto.PubKey.RSA.PKCS15
    Crypto.PubKey.RSA.PSS Crypto.PubKey.RSA.Prim
hidden-modules: Crypto.PubKey.ElGamal Crypto.PubKey.RSA.Types
                Crypto.PubKey.Internal
import-dirs: /usr/lib/ghc-8.4.3/site-local/crypto-pubkey-0.2.8
library-dirs: /usr/lib/ghc-8.4.3/site-local/crypto-pubkey-0.2.8
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/arm-linux-ghc-8.4.3/crypto-pubkey-0.2.8
hs-libraries: HScrypto-pubkey-0.2.8-FUbyh2tfKdkBPiNbl6rQ3C
depends:
    base-4.11.1.0 bytestring-0.10.8.2
    byteable-0.1.1-APABKKN6nDlC3QxQBw4YlY
    crypto-random-0.0.9-2iWQJOC6skvBMAOa2t6pbc
    crypto-pubkey-types-0.4.3-7nKwcudCogv3F8xLXU7OIO
    cryptohash-0.11.9-35WZsFaIsZyEM0HfJW8bqR
    crypto-numbers-0.2.7-LhlpjxT2M5dKZPHLLTlz7V
abi-depends: base-4.11.1.0=a3fb1645bafaa89172454c2eea8dfdc9
             bytestring-0.10.8.2=9faa89cf4769cbd12751f8644ca9e618
             byteable-0.1.1-APABKKN6nDlC3QxQBw4YlY=cdb4e7359967ea10cd00ae1d3fab6945
             crypto-random-0.0.9-2iWQJOC6skvBMAOa2t6pbc=b4b7354b727ced1547e7272be685464c
             crypto-pubkey-types-0.4.3-7nKwcudCogv3F8xLXU7OIO=655d0032c0a158a748db2cf66ac6bd79
             cryptohash-0.11.9-35WZsFaIsZyEM0HfJW8bqR=b63c33b20db9fef5d6b141403593c0e9
             crypto-numbers-0.2.7-LhlpjxT2M5dKZPHLLTlz7V=1f5ef062e1be2d8ca622abc40437d15c
haddock-interfaces: /usr/share/doc/haskell-crypto-pubkey/html/crypto-pubkey.haddock
haddock-html: /usr/share/doc/haskell-crypto-pubkey/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

